Mouse Flickering after adding 3rd Monitor

Bug #1278223 reported by Lonnie Lee Best on 2014-02-10
396
This bug affects 77 people
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Undecided
Unassigned

Bug Description

*PLEASE READ FIRST BEFORE CONSIDERING MAKING A COMMENT*
If you are having an issue and want it addressed, it is most helpful to file a new report. If you were led here by DisplayLink's website, you were led here in error as no useful debugging information has been provided by the original reporter, which is necessary to root cause, and solve the issue he reported. Posting comments about how you think you have the same problem isn't helpful here.

My issues is, after adding a 3rd monitor to Ubuntu 14.04, the mouse flickers (or blinks) when the cursor is on monitors one or two, but not 3.

Monitor 1: 1440 x 900 - Laptop's Native Monitor
Monitor 2: 1920 x 1080 - Laptop's HDMI Port's External Monitor
Monitor 3: 1024 x 768 - SIIG USB 2.0 to VGA Pro Monitor

Here's the video card that feeds my laptop's native monitor, monitor 2 (hdmi).

lspci | grep 'VGA\|Display'
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

The 3rd Monitor is powered through a Display Link certified SIIG USB 2.0 to VGA Pro adapter (A2H1320X1374 - not sure what this number, but it is a sticker on back of the device):

lsusb -tv
/: Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/6p, 480M
    |__ Port 6: Dev 2, If 0, Class=Video, Driver=uvcvideo, 480M
    |__ Port 6: Dev 2, If 1, Class=Video, Driver=uvcvideo, 480M

dmesg
[ 1.688343] usb 2-1: New USB device found, idVendor=17e9, idProduct=02ee
[ 1.688348] usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1.688351] usb 2-1: Product: VGA Display Adapter
[ 1.688353] usb 2-1: Manufacturer: DisplayLink
[ 1.688356] usb 2-1: SerialNumber: 119785

Additionally, unity-control-center crashes sometimes after I "Restore previous settings", after selecting a resolution too high. This freezed my laptop, requiring a hard reboot.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: unity-control-center 14.04.1-0ubuntu5
ProcVersionSignature: Ubuntu 3.13.0-8.27-generic 3.13.2
Uname: Linux 3.13.0-8-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.13.2-0ubuntu2
Architecture: amd64
CurrentDesktop: Unity
Date: Sun Feb 9 18:43:13 2014
InstallationDate: Installed on 2014-02-02 (7 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140202)
SourcePackage: unity-control-center
UpgradeStatus: No upgrade log present (probably fresh install)

Robert Ancell (robert-ancell) wrote :

Sounds like a driver / X issue.

affects: unity-control-center (Ubuntu) → xorg (Ubuntu)
Maarten Lankhorst (mlankhorst) wrote :

Does it only flicker on the third screen?

Changed in xorg (Ubuntu):
status: New → Incomplete

No it, it never flickers on the 3rd screen, which is the one I figured would be the most likely to flicker.

Ichigo (togmolodon66) wrote :

I have a triple screen setup on a freshly installed Trusty (Final Release), this bug exists, it flickers non-stop on monitors 1 & 2 but never on the 3rd monitor. FYI, I did not tweak anything xorg.conf wise, because the open source ATI driver worked out of the box.

Nicolas Albert (nicoa380) wrote :

After updating from Ubuntu 13.10 to 14.04.

I have a laptop with an Intel graphic card and a VGA monitor plugged. I use Gnome3 but same behavior with Unity.

 * lightdm dual screen perfect
 * login to my session : IHM freeze, mouse flickering left/right/left/right … and no VGA monitor
 * just unplug the VGA : works fine on my laptop screen directly
 * login to my wife session : everything works !

I got crazy many minutes and I have suspected xrandr : I seen in a log file a refresh rate flickering.

I finaly find a ~/.config/monitors.xml and I replace mine by my wife version : problem solved!

I don't have time to investigate more, but I hope it could help you.

Ichigo (togmolodon66) wrote :

Thanks for the suggestion, unfortunately that won't work. We have a roaming profile (LDAP+NFS), so basically that monitors.xml file will be used no matter what desktop environment I use; the triple screen setup works just fine in 12.04 and Mint Maya but not on Trusty.

The mouse problem becomes worse when I access windows app through Citrix receiver (XenApp). When I mouse over the windows app, the mouse pointer becomes blurry, and part of the background UI (be it desktop wallpaper, browser, etc..) shows. I wish I could send a video/screen shot to show you guys how horrible it was.

tbnorth (terry-n-brown) wrote :

I'm seeing this bug too, hadn't even noticed it wasn't flickering on monitor 3 until I read this report, but that's exactly what it does, flicker on 1 & 2 and normal on 3.

Hmm, I see some <rate>60</rate> entries in ~/.config/monitors.xml, wonder what happens if I change those...

tbnorth (terry-n-brown) wrote :

Following #8, 75 -> 60 didn't help. Seems to depend somewhat on what windows are open, settings manager and ubuntu software center really trigger it, claws-mail doesn't. Switching to metacity fixes the flicker, but no panel, unity-2d-panel doesn't seem to exist anymore.

Changed in xorg (Ubuntu):
status: Incomplete → Confirmed
steini (steinixx) wrote :

Same behavior here - also using 3rd monitor via kensington display link. Mouse flickering like mentioned above - some information about my config:

Ubuntu 14.04

Monitor links:
first DVI 1680x1050
second HDMI 1680x1050
third Kensington Displaylink usb 1680x1050

lspci
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 12)

lsusb -tv
/: Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/8p, 480M
/: Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/6p, 480M
        |__ Port 1: Dev 3, If 0, Class=Human Interface Device, Driver=usbhid, 1.5M
        |__ Port 2: Dev 4, If 0, Class=Human Interface Device, Driver=usbhid, 1.5M
        |__ Port 2: Dev 4, If 1, Class=Human Interface Device, Driver=usbhid, 1.5M
        |__ Port 6: Dev 5, If 0, Class=Vendor Specific Class, Driver=udl, 480M

dmesg:

[ 2.908713] usb 1-1.6: New USB device found, idVendor=17e9, idProduct=0036
[ 2.908718] usb 1-1.6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 2.908721] usb 1-1.6: Product: Kensington M01063
[ 2.908724] usb 1-1.6: Manufacturer: DisplayLink
[ 2.908727] usb 1-1.6: SerialNumber: 2012C1001134

Thomas (0tlw-post) wrote :

After upgrading LTS from 12.04 to 14.04 I have the same issue.

I have a 4 monitor setup with 2 graphic cards. I tried a lot of configruations / drivers, but the only thing that "worked" was completly uninstalling fglrx and connecting 3 monitors to 1 graphic card.

Setup:
------
1x Radeon HD 6450
  -- 2x DVI BenQ GW2750
  -- 1x HDMI BenQ GW2750

1x Radeon HD 6450
  -- 1x DVI BenQ GW2750

Result
---------
Mouse Flicker on the 3 monitor system. No flicker on the 1 Monitor system.

Funny thing
-----------
When changing to gnome 3 or Xfce the flickering disapears -> Unity Bug?

cat /etc/issue
--------------
Ubuntu 14.04 LTS

lspci | grep -i vga
-------------------
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Caicos [Radeon HD 6450/7450/8450 / R5 230 OEM]
02:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Caicos [Radeon HD 6450/7450/8450 / R5 230 OEM]

Thomas (0tlw-post) wrote :

IMHO the flickering is caused by using 2 graphic cards for the unity desktop and not by connecting a 3rd Monitor. (seems to be consistant with previous posts )

I'm able to turn the flickering on / off by enabling / disabling my 4th monitor which is connected to my second "Radeon HD 6450"

Setup:
------
1x Radeon HD 6450
  -- 2x DVI BenQ GW2750
  -- 1x HDMI BenQ GW2750

1x Radeon HD 6450
  -- 1x DVI BenQ GW2750

Wolfen (y-launchpad-q) wrote :

Hi guys

I have the same issue, with only 2 screens (native one on the laptop, and the displaylink usb). When the displaylink is connected the laptop screen's mouse cursor flashes everytime there is an update on the displaylink. Making a full white screen with no changes causes a 1/per second flash, and playing a video makes the mouse pretty much disappear. Odd thing is the usb screen is completely normal and unaffected by any flashing.

And just to be clear, unplugging the usb, prevents the flashing too.

I suspect that the displaylink usb screen card makes unity go into some kind of "safe update" mode where it hides the mouse cursor whule drawing updates..

wolfen@wolfen-HP:~$ lsusb -tv
/: Bus 04.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/6p, 5000M
/: Bus 03.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/14p, 480M
    |__ Port 1: Dev 2, If 0, Class=Human Interface Device, Driver=usbhid, 12M
    |__ Port 2: Dev 3, If 0, Class=Vendor Specific Class, Driver=udl, 480M
    |__ Port 3: Dev 7, If 0, Class=Vendor Specific Class, Driver=usbfs, 480M
    |__ Port 3: Dev 7, If 1, Class=Vendor Specific Class, Driver=, 480M
    |__ Port 7: Dev 4, If 0, Class=Video, Driver=uvcvideo, 480M
    |__ Port 7: Dev 4, If 1, Class=Video, Driver=uvcvideo, 480M
    |__ Port 13: Dev 5, If 0, Class=Human Interface Device, Driver=usbhid, 12M
    |__ Port 14: Dev 6, If 0, Class=Vendor Specific Class, Driver=, 12M
/: Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/8p, 480M
/: Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Dwolfen@wolfen-HP:~$ cat /etc/issue
Ubuntu 14.04 LTS \n \l

river=hub/6p, 480M

wolfen@wolfen-HP:~$ lspci | grep -i vga
00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)

wolfen@wolfen-HP:~$ cat /etc/issue
Ubuntu 14.04 LTS \n \l

Hans Möller (a6459397) wrote :

I get the exact same issue using my Lenovo LT1421 Displaylink screen. This has happened for ages and is not new to 14.x or a recent kernel, randr, xorg whatever. Tried it all.

Once i get the monitor up and working with the correct modelines the mouse pointer on my main screen routinely flickers.

If i run my charting software (high update frequency) or a video on the displaylink screen the mouse pointer on my laptop screen goes into maniac flicker mode.

Jeff Cheffo (jcheffo) wrote :

Hello,

i have a thinkpad t420 with a nvidia nvs 4200 graphics card (running ubuntu 14.04). this bug also affects me. i'm running a 3 monitor setup, the internal one, one connected via vga, one via displayport -> hdmi. On the monitor with the displayport i also get weird refresh problems (the refresh lags everywhere but where the cursor is).

If i play a video on a different monitor, i will still have the mouse cursor problems, but my refresh problems on the middle monitor are gone.

btw i'm running nvidia-331 and latest compiz from the default repo.

Jeff Cheffo (jcheffo) wrote :

Hello,

i kinda found a (really bad) workaround. maybe this helps someone. if i keep refreshing the screen with a looped xrefresh the refresh problem is gone. the mouse cursor still flickers even worse though on the non display port sceens.

information type: Public → Public Security
information type: Public Security → Public
Jack Wasey (jackwasey) wrote :

disabling vsync (i used ccsm) helps a lot, but doesn't fix the problem completely. I have three monitors, two on a radeon card, one on the on-chip intel GPU.

Another 2 workarounds found:

#1 - still flickering, but it is far better, than default settings ;-)

In KDE go to System Settings > Desktop Effects > Advanced
When using compositing type OpenGL change Tearing Prevention (VSync) to "Full scene repaints" and Apply.

#2 - *recommended* as it does not flicker totally :)

In KDE go to System Settings > Desktop Effects > Advanced
Change Compositing type to "XRender" and Apply.

I still do not know consequences of these settings as I did not face any troubles since that setting. Anyway I will definitely write here when I will face any consequences.

My HW configuration:
2x Radeon HD 3470 and 3 monitors - now with workaround #2 it works like charm

Changed in xorg (Ubuntu):
importance: Undecided → High
Ian Mann (ansus) wrote :

UBUNTU 14.04LTS Desktop

Three displays, two NVIDIA graphics cards, not the same type of card, two different ones.

Two monitors on one card, 1 monitor on another card HDMI.

The two monitors on the one card are the ones that exhibit cursor flicker with the default drivers out of the box.

If I add NVIDIA driver, the two monitors on the one card work fine, no flickering, but I cannot set up third monitor to run!

I also noticed the flickering is more prevalant if I am playing a catch up TV video in a browser. I think the video stream makes the problem worse. If I PAUSE the video, the flickering cursor reduces significantly. One I start the stream again the cursor flickers significantly.

Hope this helps.

Ian

Pavlo (alucard1990) wrote :

Same problem.
Ubuntu 14.04 LTS
Notebook Dell Precision M4800
Intel graphics card only
3 monitors: built in(1920x1080), HannsG HZ281(VGA, 1920x1200), Dell Inc. 24"(Display port, 1920x1080)

After I connected Dell monitor to display port cursor started to flicker on first two screens. It stops when I turn the third monitor off. When I run something with high refresh rate flickering goes crazy, sometimes I can't even see the cursor

sgon00 (sgon00) wrote :

Same here. Any updates or workarounds? None of the above workarounds works.
The number of monitors does not matter. I have only two monitors active. The problem still exist. It's about the UGA and two graphic cards.
For me, browser activities will trigger the mouse cursor flickering problem. And yeah, the flickering only happens in the monitor connected with built-in graphic card, NOT in the monitor connected with UGA.

sgon00 (sgon00) wrote :

Today, I can confirm this issue is not only related to two graphic cards. It also happens with only one graphic card. I am using a laptop with built-in graphic card and intel driver. I disabled the built-in LVDS1 monitor and then only enable TWO monitors: VGA and HDMI. My laptop graphic card has both VGA and HDMI outputs. VGA is the default monitor and the mouse is flickering in the VGA monitor, not in the HDMI monitor.

Roman Onosovski (r-onosovski) wrote :

Same for me, Ubuntu 14.04LTS

I am using a IOGEAR GUC2020DW6 and a Sony Vaio Intel i5 7 series.

I have a Samsung 32" 2560x1440 and the usb is running a 27" 1920x1080

I notice that the blinking has something to do with the difference of resolution, because, there were a few times when xrandr reported my Screen0 to be 4480x1080 and the resulting visual effect was a distorted difference on the 32" monitor.

However, everything above the 1080 resolution border displayed just fine.... and the cursor DID NOT BLINK, the desktop looked natural as it should.

I should also mention that I am limited to running the 32" monitor with a custom resolution of 2560x1440x44.00Hz due to a limiting factor of my laptop video architecture, it wont run at 60Hz, windows or linux.

Therefore I suspect the answer lies somewhere in between.

Roman Onosovski (r-onosovski) wrote :

BTW, I just replaced unity with MATE and my third monitor works like a charm with no lagging whatssoever! =))))

Lonnie Lee Best, could you please run the following command in a terminal as it will automatically gather and attach updated debug information to this report:

apport-collect -p xorg 1278223

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

Changed in xorg (Ubuntu):
status: Confirmed → Incomplete
information type: Public → Public Security
information type: Public Security → Public
Andrew Speer (aspeer) wrote :

Same problem.
Ubuntu 14.04.2 LTS
Dell Optiplex 7010
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Caicos XT [Radeon HD 7470/8470 / R5 235 OEM]
3 Asus monitors (1920x1080) running Display Port onboard, Display Port ATI and DVI ATI.

Monitor 1 & 2 flicker both on ATI card but 3rd does not. Any combination of only 2 monitors doesn't flicker reguardless of mix of on-board & discreet.

Andrew Speer, it would help immensely if you filed a new report via a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

Also, please feel free to subscribe me to it.

Jonathan Wang (jtwang) wrote :

Same problem.

00:02.0 Display controller: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller (rev 06)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Pitcairn PRO [Radeon HD 7850]

Flickering on the two monitors connected to the AMD/ATI, no flickering on the integrated.

ubuntu-bug report filed under #1433858

tags: added: needs-apport-collect

.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3.6
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
DistUpgraded: Fresh install
DistroCodename: trusty
DistroRelease: Ubuntu 14.04
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:1477]
InstallationDate: Installed on 2014-05-05 (337 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
MachineType: ASUSTeK COMPUTER INC. N56VB
Package: xorg 1:7.7+1ubuntu8.1
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-33-generic root=UUID=24128957-fa19-420a-8e00-7ed2f1119b76 ro quiet splash intel_pstate=enable vt.handoff=7
ProcVersionSignature: Ubuntu 3.16.0-33.44~14.04.1-generic 3.16.7-ckt7
Tags: trusty ubuntu compiz-0.9
Uname: Linux 3.16.0-33-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 01/21/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: N56VB.202
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: N56VB
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrN56VB.202:bd01/21/2013:svnASUSTeKCOMPUTERINC.:pnN56VB:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnN56VB:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: N56VB
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.
version.compiz: compiz 1:0.9.11.3+14.04.20141104-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.56-1~ubuntu2
version.libgl1-mesa-dri: libgl1-mesa-dri N/A
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A
xserver.bootTime: Tue Apr 7 14:13:22 2015
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.16.0-1ubuntu1.2~trusty2

tags: added: apport-collected compiz-0.9 ubuntu

apport information

apport information

apport information

tags: removed: apport-collected compiz-0.9 ubuntu
34 comments hidden view all 114 comments
Tomasz Przybysz (topr) wrote :

Ubuntu 16.04, Nouveau NVidia driver, Razer Blade (2014) with an external monitor attached via DisplayLink. Cursor is blinking on the primary, built-in LCD.

Richard Hillmann (project0) wrote :

Same here, but only on the primary monitor which is connected via displayport. Displaylink attached monitors works fine (intel onboard)

D. Charles Pyle (dcharlespyle) wrote :

Same here. Ubuntu 16.04. ASUSTek Radeon HD 5750 Formula card and Sabrent DisplayLink, with Dual Dell S2440L monitors connected to the ASUSTek card and a ViewSonic VX922 monitor connected to the Sabrent device via native DVI. Heavy flickering on the mouse cursor with updating of the DisplayLink device. I have it set up so I can see the blinking light and notice that when it flickers the mouse cursor flickers on both the primary display and the secondary display, but not the one connected to the DisplayLink device. No flickering there at all. Another problem is that responsiveness seems slower on the other displays since connecting the DisplayLink device. I ran the Unity Support test and it shows that Unity is supported.

$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD JUNIPER (DRM 2.43.0, LLVM 3.8.0)
OpenGL version string: 3.0 Mesa 11.2.0

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity 3D supported: yes

It is really seeming to bog down the performance of the system's other displays. It does not do that on Mac OS X or on Windows 7 or on Windows 10. Even typing has been slowed down noticeably.

D. Charles Pyle, it will help immensely if you filed a new report with Ubuntu by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Anca Dumitrache (ancadumi) wrote :

I've been having the same issue as D. Charles Pyle, and I've submitted it as a new report here: https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1629300

Anca Dumitrache (ancadumi) wrote :

Christopher M. Penalver, I hope you don't mind, I've subscribed you to my report.

psylem (subnetjet) wrote :

I disabled compositing and the flicker went away, but I now get some funky mouse trails that don't get cleaned up when crossing the edge between monitor 1 and monitor 2.

Chris (gelgamek) wrote :

I've been watching this one and the related bugs for a while.

Using an Nvidia (580) with an Intel (HD3000) on a desktop PC this issue is substantially improved in the latest xorg-edgers releases; it's now very close to working perfectly.

There are still some small niggles - using Unity in 16.x the cursor will flicker when changing between icons on the Launcher and when moving between the Launcher and the rest of the desktop.

In Cinnamon it's almost entirely gone - it's only especially prominent when moving between menu directories.

There are a couple of other flashes here and there, but it's otherwise working exactly as you'd want it to.

I'll happily submit a bug report if it'll help, but it's looking like the developers have narrowed the cause down - hopefully it's not just a fortunate accident.

Chris (gelgamek), it will help immensely if you filed a new report with Ubuntu by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

What is the progress regarding this bug?

Antonio Salazar (asalazarmx) wrote :

For me, the bug is gone since the upgrade to Ubuntu 16.04. Just took 3 years to solve.

Now that it's official the sunsetting of Unity and Mir, I hope similar bugs won't take that long to be solved.

Felix Griewald (tiiunder) wrote :

Well, for me, the bug still isn't fixed (Ubuntu 16.04)

Yuriy Syrovetskiy (cblp) wrote :

As for me, the bug appeared with 16.10 and gone in 17.04.

ogresto (ogresto) wrote :

affected with displayPort

So after all nobody reported this to bugs.freedesktop.org?

I also guess there is few different issues in this bugreport, so I think it's good idea to fill separate bugreport on bugs.freedesktop.org if you have very different symptoms.

How to fill bugreport to bugs.freedesktop.org: https://01.org/linuxgraphics/documentation/how-report-bugs
drm-tip kernel is here: http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-tip/

Can confirm this happening on Asus Zenbook UX330UA, on Ubuntu 16.04 with the DisplayLink adapter and driver 1.3.53. The problem (mouse flickering) appears on the primary laptop screen, while 2nd screen is connected via USB 3.0 to HDMI iTec DisplayLink adpater is connected.

DisplayLink points back to this Launchpad:
http://support.displaylink.com/knowledgebase/articles/641668-known-issues-with-displaylink-ubuntu-support

Tomasz Raganowicz, the DisplayLink driver you are using is outdated (latest is 1.3.54).

Despite this, the article you linked doesn't point to Launchpad at all. Likely, because this report hasn't been fully root caused, and folks simply add "Me too!" comments that aren't helpful for a developer to solve the problem.

Also, given the details in your comment are impossible to use to fix the issue you have, it will help immensely if you use the computer the problem is reproducible with, file a new report with Ubuntu by first ensuring the package xdiagnose is installed, click the Yes button for attaching additional debugging information after running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

D. Charles Pyle (dcharlespyle) wrote :

I had the latest DisplayLink driver and it still did the same thing to me. And it gets worse than that. No errors are generated but the speed is so slow it is almost unbearable whenever the DisplayLink device is in use. I could click the icon for Files to launch Nautilus from the Unity favorites bar, and it would not appear for almost two whole minutes! Disconnect the device and reboot, and all was fine with the world--except that it wasn't. I could not use my third monitor to do editing work.

Unfortunately, it became easier just to remove Ubuntu from my system and move to another distribution that does work with DisplayLink devices. There were serious problems with power saving, too. Suspend would crash the machine rather than suspend to memory, and this was on a system that I purchased because it was certified for Ubuntu!

In Fedora, the distribution I now am using exclusively, I still see flickering when the mouse is moved to the top of the screen but the flickering is bearable compared to the ungodly slowness on the screen with that flickering, in Ubuntu 16.04.2. I do not know what the problem is on Ubuntu with DisplayLink devices but it was too unbearable, and that is unfortunate because I really liked working in Ubuntu, with Unity being my chosen interface. But I hear that even Unity will be going away.

I hope that one day the display bugs involving DisplayLink displays will be fixed. Until then, if I want to get work done, and not have to spend time waiting between mouse clicks and app launches, I have to go elsewhere for at least the time being.

Andrew (awensley) wrote :

I am just now affected by this bug, using a DisplayPort monitor for the first time.

OS: Ubuntu 17.04 x64
Kernel: 4.10.0-37
X.Org X Server : 1.19.3

Monitor 1: 1920 x 1080 - Laptop's Native Monitor
Monitor 2: 1920 x 1080 - DisplayLink (USB-C) connected MB16AC ASUS Monitor

In an interesting twist: my cursor flickers on both screens, but far more often on my laptop screen. On my laptop screen, the cursor flickers about 10 times/second. On my DisplayLink monitor, the cursor flickers about once every 2 seconds.

Stephan Fabel (sfabel) wrote :

I can confirm awensley's characterization of this bug. I have exactly the same issue:

OS: Ubuntu 16.04 x64
Kernel: 4.10.0-37-generic
X.Org X Server: 1:7.7+13ubuntu3 (v1.19.3)

Monitor 1: 1920 x 1080 - Laptop's Native Monitor
Monitor 2: 1920 x 1080 - DisplayLink (USB) connected AOC E2775SJ Monitor

Please note that DisplayLink's FAQ points to this bug:
http://support.displaylink.com/knowledgebase/articles/825819-mouse-cursor-flickers-on-the-primary-ubuntu-screen

Please let me know what else is needed to prioritize fixing this issue.

Stephan Fabel (sfabel) wrote :

I reported https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1724307 to include the info from my laptop.

description: updated
no longer affects: xorg (Ubuntu)
affects: xorg (Fedora) → xorg (Ubuntu)
Changed in xorg (Ubuntu):
importance: Unknown → Undecided
status: Unknown → New
no longer affects: xorg (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: xorg-server → xorg (Ubuntu)
Changed in xorg (Ubuntu):
status: New → Incomplete
Changed in xorg (Ubuntu):
status: New → Confirmed
Maxence (dgamax) wrote :

Hello,

I was in the same situation

1x mini DP
1x DisplayLink USB3 to DVI/VGA
1x Laptopscreen Lenovo x230
And my mouse cursor blink, disapear or duplicate on some top bar of some windows.

I'm using Linux Mint (based on Ubuntu) and to solve this problem, I added 2 lines on my /etc/environment :

CLUTTER_PAINT=disable-clipped-redraws:disable-culling
CLUTTER_VBLANK=True

Reboot after editing and problem solve, you can enjoy your triple screens :)

BTW if you use Displaylink Driver for Ubuntu the last one (actually 1.4) use a lot of CPU, I downgraded to 1.3.54.

Environment:
Fresh install 16.04
Razer Blade 14 2014
Intel GPU
Nvidia 870M
1x HDMI port

I originally had no video drivers installed and was using the Intel gpu and this did not work with DisplayLink with 1.4x drivers installed until i added xorg.conf.d/20-intel.conf. After this it worked as a third display but I had disappearing mouse cursor issues constantly and only with the DisplayLink hdmi usb adapter plugged in... there were times when the mouse wouldn't come back for minutes. Most of the time the behavior would be: on the top half of the screen the mouse would only flicker and on the bottom half it would completely disappear. I experimented with all permutations in the directory /usr/share/xorg.conf.d/ between 20-nvidia.conf, 20-intel.conf one being present vs both and all of the params in each scenario: TearingFree false/true, TripleBuffering false/true, PageFlip false/true

Solution for me was to use the GNOME desktop, the 20-intel.conf with only:
Section "Device"
Identifier "Intel Graphics"
Driver "Intel"
EndSection

And using the Nvidia driver 340 proprietary in AdditionalDrivers while setting it to be primary usage in Nvidia application with rendering quality set to performance.

No more disappearing mouse, 3 monitors all plugged in at boot and only a 10 second wait for the USB DisplayLink monitor to show up after login.

Cheers

Pawel Duda (paw-duda) wrote :

Solution:

-install nvidia 390 (or any older - check or switch using "Additional Drivers" app on Ubuntu ), and then, install:
-DisplayLink USB Graphics Software for Ubuntu 4.1 (or newer I guess)

Restart and done!

--
Key here as it seems is that you need to:

1) update graphic card's driver first
2) then uninstall current display link drivers (sudo displaylink-installer uninstall)
3) install the display link drivers for Ubuntu (that is important - it must be last thing)

I have two additional monitors and 16.04 Ubuntu.

Write to me: acidosen@<put-google-mail-system>.com if it worked for you

sevku (severin-kunz) wrote :

This also affects me on Ubuntu 16.04 LTS

Wei Cai (rdchris2911) wrote :

Hi Pawel Duda, just tried your solution, but it still doesn't work...

What model is your graphic card? Mine is GTX960

Pawel Duda (paw-duda) wrote :

Wei Cai: GeForce GTX 960M/PCIe/SSE2

Viet (zmg48) wrote :

I also observe problems with a flickering mouse and a weird rectaangle around my mouse, when I use three monitors, with one beeing rotated by 90 degrees. Sometimes this also occurs when I don't rotate the screen. The fix above doesn't help me.

Ubuntu 17.10, Display link driver 4.1 and Nvidia 390 open source driver
GPU: NVIDIA GT640M

Viet (zmg48) wrote :

Maybe I interpreted mouse flickering wrong and my bug actually is this one: https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-384/+bug/1684240

or the bugs are somehow related to each other?

My problem is solved by rebooting and logging out and then back in.

I can operate my system with 3 monitors and one beeing rotated. However the fix is not permanent. I have to logout and back in each time is start my laptop

Viet (zmg48), it will help immensely if you use the computer the problem is reproducible with, file a new report with Ubuntu by first ensuring the package xdiagnose is installed, and click the Yes button for attaching additional debugging information after running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

Federico Cupellini (fedecupe) wrote :

Similar situation with a 5 monitor setup
4 exit on Radeon R7 370 / R9 270X/370X
1 through displaylink (usb 17e9:4300)
Mouse flickers:
-Really fast on two DVI exits of the radeon card
-Slower on DP & HDMI exits of radeon card
No flickering on the displaylink monitor
Monitors are 4 x ASUS VS247H 1 x Sony Bravia TV

Michael Torres (matorres124) wrote :

I was having this same issue after plugging in my screen. Oddly enough this issue was resolved when I was trying to solve another issue about screen locking up when opening a new application.

Here is the solution that fixed both issues.

https://support.displaylink.com/knowledgebase/articles/1843660-screen-freezes-after-opening-an-application-only

Wajuz Donny (wajuzdonny) wrote :

Thanks Michael. Your solution works for me in combination with Workaround 1 of
https://support.displaylink.com/knowledgebase/articles/1181623-displaylink-ubuntu-driver-after-recent-x-upgrades
but with "PageFlip" line removed.

Mathis Moric (kakep) wrote :

Hello,

Indeed the solution #108 of matorres124 worked for me. (The arrowmouse doesn't flicker anymore on the top area of my middle screen.

However one verry verry annoying bug remains ! When I have one window that I want to drag and drop in another screen, if I am not fast enough,
it gets stucked in between,
and then the 2 concerned screens start to flicker on their whole area
+ their opened windows start to intermitently slightly resize themselves,
while I cannot click anywhere anymore.
Then the only solution I have found to stop this terrible thing is terrible as well, I spam ctrl+alt+f4 to close this stucked window...

I tried to do as in the post #109 of wajuzdonny but it seems that for me this step is useless.

My config is :
- About the graphic card, typing
$ lspci -vnn | grep -A 12 '\''[030[02]\]' | grep -Ei "lay|kernel"
in the terminal gives me this answer :
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD 7500M/7600M Series] [1002:6840] (prog-if 00 [VGA controller])
 Kernel driver in use: radeon
 Kernel modules: radeon
- about the wiring : the original laptop screen + 2 additional samsung 22" USBplugged. So I have one USBhub, linked to 2 displaylink USB3.0toHDMI devices (and passive HDMI male to DVI female adapters).
- about the orientation : one samsung on the left with portrait orientation, one on the other side with normal landscape orientation.

Also this is a much less major issue but when I boot with this config all my desktop shortcut go on the left screen... Would you know why?

By thanking you.

Mathis Moric (kakep) wrote :

I am on ubuntu 16.04 also.

Adriaan Nel (adriaan-nel) wrote :

Also occurs on Linux Mint 19 Cinnamon. The 2nd or 3rd monitors do not even have to be turned on. I just have to connect to the displayLink docking station for the flickering to start.

Konrad (konrad-kalicinski) wrote :

same here, when monitor is plugged in I mouse coursor is flickering on host display, additionally sometimes sites do not work correctly when on screen 2, coursor is flickering too (but much less).

When I've tried to apply solution from #108 after the reboot the second monitor was not detected at all, I had to revert back my settings.

-----

Ubuntu 16.04 version:
Linux 4.15.0-38-generic #41~16.04.1-Ubuntu SMP Wed Oct 10 20:16:04 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Graphic cards (when connected):
  *-display
       description: VGA compatible controller
       product: Broadwell-U Integrated Graphics
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:44 memory:f6000000-f6ffffff memory:d0000000-dfffffff ioport:f000(size=64) memory:c0000-dffff
  *-display
       description: VGA compatible controller
       product: Opal XT [Radeon R7 M265]
       vendor: Advanced Micro Devices, Inc. [AMD/ATI]
       physical id: 0
       bus info: pci@0000:08:00.0
       version: 00
       width: 64 bits
       clock: 33MHz
       capabilities: pm pciexpress msi vga_controller bus_master cap_list rom
       configuration: driver=radeon latency=0
       resources: irq:45 memory:e0000000-efffffff memory:f7000000-f703ffff ioport:e000(size=256) memory:f7040000-f705ffff

Matjaž Mav (matjaz-mav) wrote :

Solution under #108 fixed my problem.

Thank you :)

Displaying first 40 and last 40 comments. View all 114 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.